﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using CardConcepts;

namespace DealCardsWithController {
  static class Program {
    /// <summary>
    /// Card game structured with a controller: 
    /// allocates and assembles the architecture.
    /// </summary>
    [STAThread]
    static void Main() {
      // allocate model (entity) objects and the controller:
      Hand h = new Hand();   
      Deck d = new Deck();
      GameController c = new GameController(d, h);  // handles to the Deck and Hand are given to the controller

      Application.EnableVisualStyles();
      Application.SetCompatibleTextRenderingDefault(false);
      // Activate Form and give it handles to the controller and model:
      Application.Run(new Form1(c, h));
    }
  }
}
